Package org.springframework.beans

# Class BeansException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.beans.BeansException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BeanNotOfRequiredTypeException`, `FatalBeanException`, `NoSuchBeanDefinitionException`, `PropertyAccessException`, `PropertyBatchUpdateException`

public abstract class BeansException extends org.springframework.core.NestedRuntimeException
Abstract superclass for all exceptions thrown in the beans package and subpackages.

Note that this is a runtime (unchecked) exception. Beans exceptions are usually fatal; there is no reason for them to be checked.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BeansException(String msg)`
Create a new BeansException with the specified message.
`BeansException(String msg, Throwable cause)`
Create a new BeansException with the specified message and root cause.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BeansException

public BeansException(String msg)
Create a new BeansException with the specified message.

Parameters:
  `msg` - the detail message

### BeansException

public BeansException(@Nullable String msg, @Nullable Throwable cause)
Create a new BeansException with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - the root cause